default: 
  #image: gcc:latest
  image: srzzumix/googletest:latest

before_script:
  - rm -Rf build  # Guarantee that tests and coverage are using latest src and tests
  - mkdir build
  - cd build
  - g++ -o testProg ../mainTest.cpp ../fizzbuzz.cpp -lgtest -lpthread
  - cd ..
  

TestsUnitaires:
  stage: test
  script:
    - ./build/testProg --gtest_output=xml:report.xml
  artifacts:
    when: always
    reports:
      junit: report.xml